QGIS Application - Bug report #9244
Paste in place doesn't work across pages anymore
2013-12-21 05:31 AM - Olivier Dalang

Status: Closed

Priority: Severe/Regression

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 17862
Description

In 2.0, when working on multi-pages composers, you could copy-in-place an item from a page to another (the item would be copied at the
same position, but on the page which is under the mouse).

This does not work anymore in 2.1.

Since it's a regression, | flag it as blocker (right?)

Associated revisions

Revision 9aa4155e - 2014-01-22 08:55 PM - Nyall Dawson

[composer] Paste in place should put items in page which cursor is over (fix #9244)

History

#1 - 2013-12-21 01:15 PM - Nyall Dawson
- Assignee set to Nyall Dawson

#2 - 2013-12-21 01:15 PM - Nyall Dawson

- Affected QGIS version changed from 2.0.1 to master

#3 - 2014-01-22 12:51 AM - Nyall Dawson
- Status changed from Open to Feedback

| can't replicate this... are you able to re-test and give me steps to reproduce it? Thanks!
#4 - 2014-01-22 12:51 AM - Nyall Dawson

- Category set to Map Composer/Printing

#5 - 2014-01-22 03:47 AM - Olivier Dalang

Steps to reproduce (tested in 06b1fbc):

1) create a new file

)
2) create a new composer

3) set number of pages to 2

4) create a rectangle on the first page
5) copy that rectangle
6) move the mouse cursor to the second page (hover only, no click involved)
7) paste in place (ctrl+shift+v)

In 2.0.1, the rectangle was pasted on the same position but on the second page.

In master, the rectangle is pasted over the first one.

#6 - 2014-01-22 11:55 AM - Nyall Dawson
- Status changed from Feedback to Closed

Fixed in changeset commit:"9aa4155e36c01e4fb5f851faad4a05c8764c4279".
